package scheduling

import "sync/atomic"

type Stat struct {
	tag                 string
	inProgress, pending atomic.Uint64
}

func (s *Stat) Tag() string {
	return s.tag
}

func (s *Stat) InProgress() uint64 {
	return s.inProgress.Load()
}

func (s *Stat) Pending() uint64 {
	return s.pending.Load()
}
